import React from 'react';
import ReactDOM from 'react-dom';
import { TextArea } from 'web-foundation';

export default function() {
    ReactDOM.render(
        <TextArea
            label="text area"
            placeholder="this is some placeholder text" />,
        document.getElementById('text-area')
    );
    ReactDOM.render(
        <TextArea
            label="text area"
            disabled
            placeholder="this is some placeholder text" />,
        document.getElementById('text-area-disabled')
    );
    ReactDOM.render(
        <TextArea
            error="error message"
            label="text area"
            placeholder="this is some placeholder text" />,
        document.getElementById('text-area-error')
    );
    ReactDOM.render(
        <TextArea
            disabled
            error="error message"
            label="text area"
            placeholder="this is some placeholder text" />,
        document.getElementById('text-area-error-disabled')
    );
}
